Package net.shibboleth.idp.cas.protocol

# Enum Class ProtocolError

java.lang.Object
java.lang.Enum<ProtocolError>
net.shibboleth.idp.cas.protocol.ProtocolError

All Implemented Interfaces:
  `Serializable`, `Comparable<ProtocolError>`, `Constable`

public enum ProtocolError extends Enum<ProtocolError>
CAS protocol errors.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BrokenProxyChain`
One or more proxy-granting tickets in proxy chain have expired.
`IllegalState`
Illegal state error.
`InvalidTicketFormat`
Ticket parameter provided but has invalid format.
`InvalidTicketType`
A valid ticket of an unsupported type was provided.
`ProtocolViolation`
Generic protocol violation error.
`ProxyCallbackAuthenticationFailure`
Proxy callback authentication failed.
`ProxyNotAuthorized`
Unauthorized attempt to request proxy-granting ticket.
`RenewIncompatibleWithProxy`
Unsupported condition where a proxy ticket validation occurs with the renew flag set.
`ServiceMismatch`
Validating service does not match service to which ticket was issued.
`ServiceNotSpecified`
Service parameter required but not specified.
`SessionExpired`
IdP session that issued ticket has expired which invalidates ticket.
`SessionRetrievalError`
Error retrieving IdP session.
`TicketCreationError`
Error creating ticket.
`TicketExpired`
Ticket not found or expired.
`TicketNotFromRenew`
Validation specifies renew protocol flag but ticket was not issued from a forced authentication.
`TicketNotSpecified`
Ticket parameter required but not specified.
`TicketRemovalError`
Error removing ticket.
`TicketRetrievalError`
Error retrieving ticket.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`errorCode`
Error code.
`private final String`
`errorDetailCode`
Error detail code.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ProtocolError(String code, String detailCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Event`
`event(Object source)`
Creates a Spring webflow event whose ID is given by `Enum.name()`} and contains the following attributes: code detailCode The values of attributes correspond to fields of the same names.
`String`
`getCode()`
Get the error code.
`String`
`getDetailCode()`
Get the error detail code.
`static ProtocolError`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolError[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BrokenProxyChain

public static final ProtocolError BrokenProxyChain
One or more proxy-granting tickets in proxy chain have expired.

### IllegalState

public static final ProtocolError IllegalState
Illegal state error.

### InvalidTicketFormat

public static final ProtocolError InvalidTicketFormat
Ticket parameter provided but has invalid format.

### InvalidTicketType

public static final ProtocolError InvalidTicketType
A valid ticket of an unsupported type was provided.

### ProtocolViolation

public static final ProtocolError ProtocolViolation
Generic protocol violation error.

### ProxyCallbackAuthenticationFailure

public static final ProtocolError ProxyCallbackAuthenticationFailure
Proxy callback authentication failed.

### ProxyNotAuthorized

public static final ProtocolError ProxyNotAuthorized
Unauthorized attempt to request proxy-granting ticket.

### RenewIncompatibleWithProxy

public static final ProtocolError RenewIncompatibleWithProxy
Unsupported condition where a proxy ticket validation occurs with the renew flag set.

### ServiceNotSpecified

public static final ProtocolError ServiceNotSpecified
Service parameter required but not specified.

### ServiceMismatch

public static final ProtocolError ServiceMismatch
Validating service does not match service to which ticket was issued.

### SessionExpired

public static final ProtocolError SessionExpired
IdP session that issued ticket has expired which invalidates ticket.

### SessionRetrievalError

public static final ProtocolError SessionRetrievalError
Error retrieving IdP session.

### TicketNotSpecified

public static final ProtocolError TicketNotSpecified
Ticket parameter required but not specified.

### TicketExpired

public static final ProtocolError TicketExpired
Ticket not found or expired.

### TicketNotFromRenew

public static final ProtocolError TicketNotFromRenew
Validation specifies renew protocol flag but ticket was not issued from a forced authentication.

### TicketCreationError

public static final ProtocolError TicketCreationError
Error creating ticket.

### TicketRetrievalError

public static final ProtocolError TicketRetrievalError
Error retrieving ticket.

### TicketRemovalError

public static final ProtocolError TicketRemovalError
Error removing ticket.

## Field Details

### errorCode

@Nonnull private final String errorCode
Error code.

### errorDetailCode

@Nonnull private final String errorDetailCode
Error detail code.

## Constructor Details

### ProtocolError

private ProtocolError(@Nonnull String code, @Nonnull String detailCode)
Constructor.

Parameters:
  `code` - error code
  `detailCode` - error detail code

## Method Details

### values

public static ProtocolError[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolError valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

@Nonnull public String getCode()
Get the error code.

Returns:
  error code

### getDetailCode

@Nonnull public String getDetailCode()
Get the error detail code.

Returns:
  detail error code

### event

@Nonnull public Event event(@Nonnull Object source)
Creates a Spring webflow event whose ID is given by `Enum.name()`} and contains the following attributes:

- code
- detailCode

The values of attributes correspond to fields of the same names.

Parameters:
  `source` - Event source.
Returns:
  Spring webflow event.